ClientFactory
Keywords: uk.ac.ic.doc.automed.p2p.communication.ClientFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Class ClientFactory

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.ClientFactory

    public class ClientFactory

extends java.lang.Object

Constructor Summary
`ClientFactory()`

Method Summary
`static AbstractClient` | `getClientInstance(RequestListener handler, java.lang.String remoteAddress, int remotePort, java.lang.String protocol, java.util.Properties props)` Create a new instance of communication client for a specific protocol
`static AbstractClient` | `getClientInstance(RequestListener handler, java.lang.String protocol, java.util.Properties props)` Create a new instance of communication client for a specific protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientFactory

    public ClientFactory()

Method Detail

### getClientInstance

    public static AbstractClient getClientInstance(RequestListener handler,
                                                   java.lang.String remoteAddress,
                                                   int remotePort,
                                                   java.lang.String protocol,
                                                   java.util.Properties props)
                                            throws CommunicationException

  Create a new instance of communication client for a specific protocol

  Throws:
    `CommunicationException`

### getClientInstance

    public static AbstractClient getClientInstance(RequestListener handler,
                                                   java.lang.String protocol,
                                                   java.util.Properties props)
                                            throws CommunicationException

  Create a new instance of communication client for a specific protocol. This
  creates a client that can be used to answer requests for different remote hosts

  Throws:
    `CommunicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD